import { FinancialOverlay } from "./FinancialOverlay";
import { Series } from "./Series";
import { List$1 } from "igniteui-react-core";
import { Type, Point } from "igniteui-react-core";
import { CategoryFrame } from "./CategoryFrame";
import { Rect } from "igniteui-react-core";
import { SeriesView } from "./SeriesView";
import { FinancialSeriesView } from "./FinancialSeriesView";
import { FinancialBucketCalculator } from "./FinancialBucketCalculator";
import { Polyline } from "igniteui-react-core";
import { Polygon } from "igniteui-react-core";
import { RenderingContext } from "igniteui-react-core";
/**
 * @hidden
 */
export declare class PriceChannelOverlay extends FinancialOverlay {
    static $t: Type;
    protected bi(): Series;
    constructor();
    aaz: number;
    protected q4(a: any, b: string, c: any, d: any): void;
    hc(a: Rect, b: Rect, c: SeriesView): boolean;
    protected aas(): boolean;
    z3(a: CategoryFrame, b: FinancialSeriesView): void;
    o2(a: boolean, b: SeriesView): void;
    z5(a: CategoryFrame, b: FinancialSeriesView): void;
    aay: List$1<number>;
    aax: List$1<number>;
    protected cq(): SeriesView;
    qw(a: SeriesView): void;
    private aaw;
    i3(a: Point, b: boolean, c: boolean): number;
    j6(a: Point, b: boolean): number;
    j8(a: Point, b: boolean): number;
    iw(): number;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class PriceChannelBucketCalculator extends FinancialBucketCalculator {
    static $t: Type;
    constructor(a: FinancialSeriesView);
    protected f: PriceChannelOverlayView;
    getBucket(a: number): number[];
}
/**
 * @hidden
 */
export declare class PriceChannelOverlayView extends FinancialSeriesView {
    static $t: Type;
    private cb;
    private cg;
    private ch;
    get ca(): Polygon;
    get ce(): Polyline;
    get cf(): Polyline;
    b6: PriceChannelOverlay;
    constructor(a: PriceChannelOverlay);
    au(): void;
    protected b1(): FinancialBucketCalculator;
    b7(): void;
    b8(a: number, b: (arg1: number) => number, c: (arg1: number) => number, d: (arg1: number) => number, e: (arg1: number) => number): void;
    private b9;
    private cc;
    private cd;
    protected be(): void;
    protected a8(a: RenderingContext, b: boolean): void;
    an(a: any): void;
}
